## dcmtk 3.6.7

=== CMakeLists.txt ===
# Minimum CMake version required
cmake_minimum_required(VERSION 3.0.0...3.13.2 FATAL_ERROR)

# Declare project
project(DCMTK)

#-----------------------------------------------------------------------------
# General project settings to configure DCMTK build process
#-----------------------------------------------------------------------------

# Modules to be built
set(DCMTK_MODULES ofstd oflog dcmdata dcmimgle
  dcmimage dcmjpeg dcmjpls dcmtls dcmnet dcmsr
  dcmsign dcmwlm dcmqrdb dcmpstat dcmrt dcmiod dcmfg
  dcmseg dcmtract dcmpmap dcmect
  CACHE STRING "List of modules that should be built.")

# Provide an interface target to elegantly include the config directory
add_library(config INTERFACE)
target_include_directories(config INTERFACE
  $<BUILD_INTERFACE:${DCMTK_BINARY_DIR}/config/include>
  $<INSTALL_INTERFACE:include>
)
install(TARGETS config EXPORT DCMTKTargets)

# Include directories
set(DCMTK_INCLUDE_DIR "${DCMTK_BINARY_DIR}/config/include")
foreach(inc ${DCMTK_MODULES})
  list(APPEND DCMTK_INCLUDE_DIR "${DCMTK_SOURCE_DIR}/${inc}/include")
endforeach()

include_directories(${DCMTK_INCLUDE_DIR})

#-----------------------------------------------------------------------------
# Check the build system
#-----------------------------------------------------------------------------

include(CMake/dcmtkPrepare.cmake NO_POLICY_SCOPE)

#-----------------------------------------------------------------------------
# Prepare osconfig.h
#-----------------------------------------------------------------------------

# Add the osconfig.h.in file
configure_file("${DCMTK_SOURCE_DIR}/CMake/osconfig.h.in"
               "${DCMTK_BINARY_DIR}/config/include/dcmtk/config/osconfig.h")

#-----------------------------------------------------------------------------
# Prepare arith.h
#-----------------------------------------------------------------------------

INSPECT_FUNDAMENTAL_ARITHMETIC_TYPES()

# ----------------------------------------------------------------------------
# Unit test related configuration/setup
# ----------------------------------------------------------------------------

if(CMAKE_CROSSCOMPILING)
  if(WIN32)
    set(DCMTK_RUN_CTEST_SCRIPT "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/dcmtkCTestRunWine.cmake" CACHE INTERNAL "path to the CMake script for launching a unit test as a detached Wine process in the prepared wineprefix")
  elseif(ANDROID)
    set(DCMTK_RUN_CTEST_SCRIPT "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/dcmtkCTestRunAndroid.cmake" CACHE INTERNAL "path to the CMake script for launching a unit test via the android emulator")
  else()
    message(WARNING "Emulation for your target platform is not available, CTest will not be able to execute the unit tests!")
  endif()
else()
  set(DCMTK_RUN_CTEST_SCRIPT "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/dcmtkCTestRun.cmake" CACHE INTERNAL "path to the CMake script for launching a unit test")
endif()
# Add a target to run the unit tests in exhaustive mode
add_custom_target("test-exhaustive"
    COMMAND "${CMAKE_COMMAND}" "-DCONFIG=${DCMTK_CONFIG_GENERATOR_EXPRESSION}" "-P"
        "${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunExhaustive.cmake"
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
)

#-----------------------------------------------------------------------------
# Start actual compilation tasks
#-----------------------------------------------------------------------------

# Recurse into subdirectories
foreach(module config doxygen ${DCMTK_MODULES})
  add_subdirectory(${module})
endforeach()
include(CMake/dcmtkAfterModules.cmake NO_POLICY_SCOPE)

#-----------------------------------------------------------------------------
# Installation tasks
#-----------------------------------------------------------------------------

# Install global headers
install(FILES "${DCMTK_BINARY_DIR}/config/include/dcmtk/config/osconfig.h"
              "${DCMTK_BINARY_DIR}/config/include/dcmtk/config/arith.h"
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/dcmtk/config"
        COMPONENT include)

# Install DCMTK's general documentation files
install(FILES ANNOUNCE COPYRIGHT CREDITS FAQ HISTORY VERSION
        DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        COMPONENT doc)
install(DIRECTORY docs/ DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        COMPONENT doc FILES_MATCHING PATTERN "CHANGES.???")

#-----------------------------------------------------------------------------
# Create an install configuration files for external projects
#-----------------------------------------------------------------------------

if(NOT DCMTK_NO_EXPORT)
    dcmtk_create_install_exports()
endif()

#-----------------------------------------------------------------------------
# Configure files needed for running the unit tests and cleanup
#-----------------------------------------------------------------------------

if(CMAKE_CROSSCOMPILING)
  if(WIN32)
    string(REPLACE ";" "${ENVIRONMENT_PATH_SEPARATOR}" DCMDICTPATH "${DCMTK_DICOM_DICTIONARIES}")
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomWine.cmake.in"
      "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
    )
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunWine.cmake.in"
      "${DCMTK_RUN_CTEST_SCRIPT}" ESCAPE_QUOTES @ONLY
    )
  elseif(ANDROID)
    DCMTK_ANDROID_STOP_EMULATOR(DCMTK_ANDROID_EMULATOR_INSTANCE)
    # Prepare setting environment variable DCMDICTPATH
    set(DICTIONARIES ${DCMTK_DICOM_DICTIONARIES})
    list(GET DICTIONARIES 0 DCMDICTPATH)
    list(REMOVE_AT DICTIONARIES 0)
    get_filename_component(DCMDICTPATH "${DCMDICTPATH}" NAME)
    set(DCMDICTPATH "${ANDROID_TEMPORARY_FILES_LOCATION}/${DCMDICTPATH}")
    foreach(DICTIONARY ${DICTIONARIES})
        get_filename_component(FILE "${DICTIONARY}" NAME)
        set(DCMDICTPATH "${DCMDICTPATH}:${ANDROID_TEMPORARY_FILES_LOCATION}/${FILE}")
    endforeach()
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomAndroid.cmake.in"
      "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
    )
    configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunAndroid.cmake.in"
      "${DCMTK_RUN_CTEST_SCRIPT}" ESCAPE_QUOTES @ONLY
    )
  else()
    # Nothing to do
  endif()
else()
  string(REPLACE ";" "${ENVIRONMENT_PATH_SEPARATOR}" DCMDICTPATH "${DCMTK_DICOM_DICTIONARIES}")
  configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRun.cmake.in"
    "${DCMTK_RUN_CTEST_SCRIPT}" ESCAPE_QUOTES @ONLY
  )
endif()

#-----------------------------------------------------------------------------
# Generate pkgconfig
#-----------------------------------------------------------------------------

if(DCMTK_WITH_ICONV)
    # libiconv does not provide a .pc file
    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${Iconv_LIBRARY} ${LIBCHARSET_LIBRARY}")
endif()

if(DCMTK_WITH_ICU)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} icu-uc")
endif()

if(DCMTK_WITH_LIBXML)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libxml-2.0")
endif()

if(DCMTK_WITH_LIBPNG)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libpng")
endif()

if(DCMTK_WITH_OPENJPEG)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libopenjp2")
endif()

if(DCMTK_WITH_OPENSSL)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libssl libcrypto")
endif()

if(DCMTK_WITH_SNDFILE)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} sndfile")
endif()

if(DCMTK_WITH_TIFF)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libtiff-4")
endif()

if(DCMTK_WITH_WRAP)
    # libwrap does not provide a .pc file
    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${WRAP_LIBRARY}")
endif()

if(DCMTK_WITH_ZLIB)
    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} zlib")
endif()

get_property(DCMTK_LIBRARY_TARGETS GLOBAL PROPERTY DCMTK_LIBRARY_TARGETS)

foreach(T ${DCMTK_LIBRARY_TARGETS})
    set(PKGCONF_LIBS "${PKGCONF_LIBS} -l${T}")
endforeach()

configure_file(
    ${DCMTK_SOURCE_DIR}/CMake/dcmtk.pc.in
    ${DCMTK_BINARY_DIR}/dcmtk.pc
    @ONLY
)

install(FILES "${DCMTK_BINARY_DIR}/dcmtk.pc"
    DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== config/CMakeLists.txt ===
# declare project
project(config)

# recurse into subdirectories
add_subdirectory(docs)

=== dcmtract/CMakeLists.txt ===
# declare project
project(dcmtract)

# declare include directories which hold for all subdirectories
include_directories("${dcmtract_SOURCE_DIR}/include" "${dcmiod_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" ${ZLIB_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc include)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmdata/libi2d/CMakeLists.txt ===
# declare additional include directories
include_directories(${LIBXML_INCDIR})

# create library from source files
DCMTK_ADD_LIBRARY(i2d
  i2d.cc
  i2dplvlp.cc
  i2djpgs.cc
  i2dbmps.cc
  i2dplsc.cc
  i2dplnsc.cc
  i2dplop.cc
  i2doutpl.cc
)

DCMTK_TARGET_LINK_MODULES(i2d dcmdata)

=== dcmdata/libsrc/CMakeLists.txt ===
# create library from source files

include_directories("${CMAKE_CURRENT_SOURCE_DIR}")
include_directories(${LIBXML_INCDIR})

DCMTK_ADD_LIBRARY(dcmdata
  cmdlnarg.cc
  dcbytstr.cc
  dcchrstr.cc
  dccodec.cc
  dcdatset.cc
  dcdatutl.cc
  dcddirif.cc
  dcdicdir.cc
  dcdicent.cc
  dcdict.cc
  dcdictbi.cc
  dcdirrec.cc
  dcelem.cc
  dcencdoc.cc
  dcerror.cc
  dcfilefo.cc
  dcfilter.cc
  dchashdi.cc
  dcistrma.cc
  dcistrmb.cc
  dcistrmf.cc
  dcistrms.cc
  dcistrmz.cc
  dcitem.cc
  dcjson.cc
  dclist.cc
  dcmatch.cc
  dcmetinf.cc
  dcobject.cc
  dcostrma.cc
  dcostrmb.cc
  dcostrmf.cc
  dcostrms.cc
  dcostrmz.cc
  dcpath.cc
  dcpcache.cc
  dcpixel.cc
  dcpixseq.cc
  dcpxitem.cc
  dcrleccd.cc
  dcrlecce.cc
  dcrlecp.cc
  dcrledrg.cc
  dcrleerg.cc
  dcrlerp.cc
  dcsequen.cc
  dcspchrs.cc
  dcstack.cc
  dcswap.cc
  dctag.cc
  dctagkey.cc
  dctypes.cc
  dcuid.cc
  dcvr.cc
  dcvrae.cc
  dcvras.cc
  dcvrat.cc
  dcvrcs.cc
  dcvrda.cc
  dcvrds.cc
  dcvrdt.cc
  dcvrfd.cc
  dcvrfl.cc
  dcvris.cc
  dcvrlo.cc
  dcvrlt.cc
  dcvrobow.cc
  dcvrod.cc
  dcvrof.cc
  dcvrol.cc
  dcvrov.cc
  dcvrpn.cc
  dcvrpobw.cc
  dcvrsh.cc
  dcvrsl.cc
  dcvrss.cc
  dcvrst.cc
  dcvrsv.cc
  dcvrtm.cc
  dcvruc.cc
  dcvrui.cc
  dcvrul.cc
  dcvrulup.cc
  dcvrur.cc
  dcvrus.cc
  dcvrut.cc
  dcvruv.cc
  dcwcache.cc
  dcxfer.cc
  vrscan.cc
  vrscanl.c
  xml2dcm.cc
)

DCMTK_TARGET_LINK_MODULES(dcmdata ofstd oflog)
DCMTK_TARGET_LINK_LIBRARIES(dcmdata ${ZLIB_LIBS} ${LIBXML_LIBS})

# Various dictionary-related commands
set(DICOMDIC   "${dcmdata_SOURCE_DIR}/data/dicom.dic")
set(PRIVATEDIC "${dcmdata_SOURCE_DIR}/data/private.dic")
set(DICTIONARIES "${DICOMDIC}" "${PRIVATEDIC}")

if(BUILD_APPS)
  # don't use DCMTK_ADD_EXECUTABLE() since we don't want to install the files
  add_executable(mkdictbi EXCLUDE_FROM_ALL
    cmdlnarg.cc
    dcdicent.cc
    dcdict.cc
    dchashdi.cc
    dctagkey.cc
    dctypes.cc
    dcvr.cc
    mkdictbi.cc
  )
  add_executable(mkdeftag EXCLUDE_FROM_ALL
    cmdlnarg.cc
    dcdicent.cc
    dcdict.cc
    dchashdi.cc
    dctagkey.cc
    dctypes.cc
    dcvr.cc
    mkdeftag.cc
  )
  # workaround for Visual Studio to disable dll storage specifiers when linking directly into the executable.
  # this is needed since the built-in dictionary code is created by the tools below and thus those tools
  # statically link the few required dcmdata source files instead of linking to dcmdata as a whole.
  set_target_properties(mkdictbi mkdeftag PROPERTIES COMPILE_DEFINITIONS "DCMDATA_BUILD_DICTIONARY")
endif()
DCMTK_TARGET_LINK_MODULES(mkdictbi ofstd oflog)
DCMTK_TARGET_LINK_MODULES(mkdeftag ofstd oflog)

add_custom_target(updatedeftag
        COMMAND mkdeftag -o "${dcmdata_SOURCE_DIR}/include/dcmtk/dcmdata/dcdeftag.h" ${DICTIONARIES}
        DEPENDS mkdeftag
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Generate a new include file of defined tags")

add_custom_target(updatebuiltindict
        COMMAND mkdictbi -o dcdictbi.cc ${DICTIONARIES}
        DEPENDS mkdictbi
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Generate a builtin data dictionary")

add_custom_target(mkvrscan
        COMMAND flex -8 --header-file=vrscanl.h --outfile=vrscanl.c vrscanl.l
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Generate vrscanl.c and vrscanl.h")

=== dcmdata/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_EXECUTABLE(dcmdata_tests
  tchval.cc
  tdict.cc
  telemlen.cc
  tests.cc
  tfilter.cc
  tgenuid.cc
  ti2dbmp.cc
  titem.cc
  tmatch.cc
  tnewdcme.cc
  tparent.cc
  tparser.cc
  tpath.cc
  tpread.cc
  tsequen.cc
  tspchrs.cc
  tstrval.cc
  tvrcomp.cc
  tvrdatim.cc
  tvrds.cc
  tvrfd.cc
  tvrol.cc
  tvrov.cc
  tvrpn.cc
  tvrsv.cc
  tvrui.cc
  tvruv.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmdata_tests i2d dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmdata)

=== dcmect/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_EXECUTABLE(dcmect_tests
  tests.cc
  t_huge_concat.cc
  t_roundtrip.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmect_tests dcmect dcmfg dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmect)

=== dcmfg/include/CMakeLists.txt ===
# declare installation files
install(DIRECTORY dcmtk/dcmfg DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/dcmtk" COMPONENT include FILES_MATCHING PATTERN "*.h")

=== dcmfg/libsrc/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(dcmfg
  concatenationcreator.cc
  concatenationloader.cc
  fg.cc
  fgbase.cc
  fgctacquisitiondetails.cc
  fgctacquisitiontype.cc
  fgctadditionalxraysource.cc
  fgctexposure.cc
  fgctgeometry.cc
  fgctimageframetype.cc
  fgctposition.cc
  fgctreconstruction.cc
  fgcttabledynamics.cc
  fgctxraydetails.cc
  fgderimg.cc
  fgfact.cc
  fgfracon.cc
  fgframeanatomy.cc
  fgframevoilut.cc
  fgpixeltransform.cc
  fgimagedatatype.cc
  fginterface.cc
  fgirradiationeventid.cc
  fgpixmsr.cc
  fgparametricmapframetype.cc
  fgplanor.cc
  fgplanorvol.cc
  fgplanpo.cc
  fgplanposvol.cc
  fgrealworldvaluemapping.cc
  fgseg.cc
  fgtemporalposition.cc
  fgusimagedescription.cc
  fgtypes.cc
  stack.cc
  stackinterface.cc)

DCMTK_TARGET_LINK_MODULES(dcmfg dcmiod dcmdata ofstd oflog)

=== dcmfg/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_EXECUTABLE(dcmfg_tests
  tests.cc
  t_concatenation_creator.cc
  t_concatenation_loader.cc
  t_ct_acquisition_details.cc
  t_ct_acquisition_type.cc
  t_ct_image_frame_type.cc
  t_ct_position.cc
  t_ct_table_dynamics.cc
  t_deriv_image.cc
  t_frame_content.cc
  t_irradiation_event_identification.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmfg_tests dcmfg dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmfg)

=== dcmimage/include/CMakeLists.txt ===
# declare installation files
install(DIRECTORY dcmtk/dcmimage DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/dcmtk" COMPONENT include FILES_MATCHING PATTERN "*.h")

=== dcmimgle/libsrc/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(dcmimgle
  dcmimage.cc
  dibaslut.cc
  diciefn.cc
  dicielut.cc
  didislut.cc
  didispfn.cc
  didocu.cc
  digsdfn.cc
  digsdlut.cc
  diimage.cc
  diinpx.cc
  diluptab.cc
  dimo1img.cc
  dimo2img.cc
  dimoimg.cc
  dimoimg3.cc
  dimoimg4.cc
  dimoimg5.cc
  dimomod.cc
  dimoopx.cc
  dimopx.cc
  diovdat.cc
  diovlay.cc
  diovlimg.cc
  diovpln.cc
  diutils.cc
)

DCMTK_TARGET_LINK_MODULES(dcmimgle ofstd oflog dcmdata)

=== debian/changelog ===
dcmtk (3.6.7-9.1build4) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 19:40:35 +0100

dcmtk (3.6.7-9.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:02 +0000

dcmtk (3.6.7-9.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:38:14 +0000

dcmtk (3.6.7-9.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:18:05 +0000

dcmtk (3.6.7-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062022

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:17:02 +0000

dcmtk (3.6.7-9) unstable; urgency=medium

  * Team upload.
  * Fix postrm
    Closes: #1038776

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 09:53:48 +0200

dcmtk (3.6.7-8) unstable; urgency=medium

  * d/patches: Fix CVE-2022-43272. Closes: #1027165
  * d/control: Bump Std-Vers to 4.6.2 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jan 2023 11:15:13 +0100

dcmtk (3.6.7-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Prevent bashism in run-unit-test
  * Enable running run-unit-test from any directory
  * Add maintscript to remove outdated conffiles
    Closes: #990134
  * On purge remove /var/lib/dcmtk/db/STORESCP if exists
    Closes: #990135

  [ Mathieu Malaterre ]
  * d/control: Add missing dependency on libjs-jquery. Closes: #989108

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 11:52:52 +0100

dcmtk (3.6.7-6) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/control: libdcmtk4 is not present in o-o-stable
  * d/postrm: Fix possible-bashism-in-maintainer-script
  * d/patches: CVE-2022-2119 CVE-2022-2120. Closes: #1017743

  [ Mohammed Bilal ]
  * Add autopkgtests
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 22 Aug 2022 17:02:26 +0200

dcmtk (3.6.7-5) unstable; urgency=medium

  [ Gregory C. Sharp ]
  * Change CMAKE_INSTALL_DATADIC to CMAKE_INSTALL_DATADIR in an attempt
    to fix dictionary load failure

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 21:41:44 +0200

dcmtk (3.6.7-4) unstable; urgency=medium

  * Team upload.
  * Fix install dir of dictionaries
    Closes: #1012417

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jun 2022 09:05:06 +0200

dcmtk (3.6.7-3) unstable; urgency=medium

  * Source-only upload
  * Breaks+Replaces: libdcmtk16

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jun 2022 19:39:49 +0200

dcmtk (3.6.7-2) unstable; urgency=medium

  * Team upload.
  * Upstream has bumped SONAME thus rename binary package for shared
    library
    Closes: #1010536

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2022 09:08:00 +0200

dcmtk (3.6.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1010474
  * Point watch file to Github
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Drop debian/gbp.conf
  * Install pkgconfig file
  * Review d/copyright
  * Drop unneeded lintian-override

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2022 10:28:02 +0200

dcmtk (3.6.6-6) UNRELEASED; urgency=medium

  * d/dcmtk.postrm: Added check to remove dcmtk user (Closes: #987972)
  * d/dcmtk.postinst: Change dcmtk user shell to nologin

 -- Lance Lin <LQi254@protonmail.com>  Wed, 13 Apr 2022 19:36:57 +0700

=== debian/control ===
Source: dcmtk
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gewo@debian.org>,
           Mathieu Malaterre <malat@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               gettext,
               help2man,
               libpng-dev,
               libsndfile1-dev,
               libssl-dev,
               libtiff-dev,
               libwrap0-dev,
               libxml2-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/dcmtk
Vcs-Git: https://salsa.debian.org/med-team/dcmtk.git
Homepage: https://dicom.offis.de/dcmtk
Rules-Requires-Root: no

Package: dcmtk
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OFFIS DICOM toolkit command line utilities
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK utility applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk17t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libdcmtk17 (<< ${source:Version}), libdcmtk16 (= 3.6.7-1)
Replaces: libdcmtk17, libdcmtk16 (= 3.6.7-1)
Multi-Arch: same
Description: OFFIS DICOM toolkit runtime libraries
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the runtime libraries for the DCMTK utility
 applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk-dev
Architecture: any
Section: libdevel
Depends: libdcmtk17t64 (= ${binary:Version}),
         libpng-dev,
         libssl-dev,
         libtiff-dev,
         libwrap0-dev,
         libxml2-dev,
         ${misc:Depends}
Suggests: dcmtk-doc
Provides: libdcmtk17-dev
Description: OFFIS DICOM toolkit development libraries and headers
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains development libraries and headers for DCMTK. You
 only need to install this if you are developing programs that use the
 DCMTK libraries.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: dcmtk,
          libdcmtk-dev
Multi-Arch: foreign
Description: OFFIS DICOM toolkit documentation
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the on-line documentation for the DCMTK libraries
 and utilities in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# needed for the tests
export DCMDICTPATH=$(CURDIR)/dcmdata/data/dicom.dic

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1001703
export DEB_CXXFLAGS_MAINT_APPEND=-DENABLE_DCMJPLS_INTERLEAVE_NONE

# when BUILDDOC==OFF, convenient copies of doxygen man pages are used
# when BUILDDOC==ON, doxygen man pages are being regenerated, this may leads to
# improper md5sum...

%:
	dh $@ --buildsystem=cmake

# SKIP_RPATH=OFF to run test suite:
# see #701231
CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING=None \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DDCMTK_WITH_OPENSSL:BOOL=ON \
 -DDCMTK_ENABLE_PRIVATE_TAGS:BOOL=ON \
 -DDCMTK_WITH_XML:BOOL=ON \
 -DDCMTK_WITH_DOXYGEN:BOOL=$(BUILDDOC) \
 -DDCMTK_WITH_TIFF:BOOL=ON \
 -DDCMTK_WITH_ZLIB:BOOL=ON \
 -DDCMTK_WITH_ICONV:BOOL=OFF \
 -DDCMTK_WITH_ICU:BOOL=OFF \
 -DUSE_COMPILER_HIDDEN_VISIBILITY:BOOL=ON \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DCMAKE_INSTALL_DATADIC:STRING=share/libdcmtk17 \
 -DCMAKE_SKIP_RPATH:BOOL=OFF \
 -DDCMTK_ENABLE_STL:BOOL=ON \
 -DCMAKE_CXX_STANDARD:STRING=17

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-arch:
	# need man page in -arch packages:
	#$(MAKE) -C obj-* man
	dh_auto_build

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* DOXYGEN

# No tests needed for docs
override_dh_auto_test-indep:


override_dh_auto_install-arch:
	dh_auto_install

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/doxygen install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/dcmwlm/data install


override_dh_installdocs:
	dh_installdocs
	# do the doxygen / jquery fix:
	dh_link -pdcmtk-doc usr/share/javascript/jquery/jquery.js usr/share/doc/dcmtk-doc/html/jquery.js

override_dh_install-arch:
	dh_install # --list-missing
	#remove test binaries
	rm ./debian/dcmtk/usr/bin/*_tests
	rm ./debian/dcmtk/usr/bin/drttest
	rm ./debian/dcmtk/usr/bin/mkreport
	rm ./debian/dcmtk/usr/bin/msgserv
	rm ./debian/dcmtk/usr/bin/wltest
	rm ./debian/tmp/usr/share/dcmtk/SC.dump
	rm ./debian/tmp/usr/share/dcmtk/VLP.dump


.PHONY: get-orig-source

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pydicom
Restrictions: allow-stderr

## dcmtk 3.6.8~git20221024.b8950f9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Minimum CMake version required
-cmake_minimum_required(VERSION 3.0.0...3.13.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.0.0...3.23.1 FATAL_ERROR)
 
 # Declare project
 project(DCMTK)
@@ -9,7 +9,7 @@
 #-----------------------------------------------------------------------------
 
 # Modules to be built
-set(DCMTK_MODULES ofstd oflog dcmdata dcmimgle
+set(DCMTK_MODULES ofstd oflog oficonv dcmdata dcmimgle
   dcmimage dcmjpeg dcmjpls dcmtls dcmnet dcmsr
   dcmsign dcmwlm dcmqrdb dcmpstat dcmrt dcmiod dcmfg
   dcmseg dcmtract dcmpmap dcmect
@@ -68,9 +68,9 @@
 endif()
 # Add a target to run the unit tests in exhaustive mode
 add_custom_target("test-exhaustive"
-    COMMAND "${CMAKE_COMMAND}" "-DCONFIG=${DCMTK_CONFIG_GENERATOR_EXPRESSION}" "-P"
-        "${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunExhaustive.cmake"
-    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
+  COMMAND "${CMAKE_COMMAND}" "-DCONFIG=${DCMTK_CONFIG_GENERATOR_EXPRESSION}" "-P"
+          "${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestRunExhaustive.cmake"
+  WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
 )
 
 #-----------------------------------------------------------------------------
@@ -95,9 +95,9 @@
 
 # Install DCMTK's general documentation files
 install(FILES ANNOUNCE COPYRIGHT CREDITS FAQ HISTORY VERSION
-        DESTINATION "${CMAKE_INSTALL_DOCDIR}"
+        DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}"
         COMPONENT doc)
-install(DIRECTORY docs/ DESTINATION "${CMAKE_INSTALL_DOCDIR}"
+install(DIRECTORY docs/ DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}"
         COMPONENT doc FILES_MATCHING PATTERN "CHANGES.???")
 
 #-----------------------------------------------------------------------------
@@ -105,12 +105,14 @@
 #-----------------------------------------------------------------------------
 
 if(NOT DCMTK_NO_EXPORT)
-    dcmtk_create_install_exports()
+  dcmtk_create_install_exports()
 endif()
 
 #-----------------------------------------------------------------------------
 # Configure files needed for running the unit tests and cleanup
 #-----------------------------------------------------------------------------
+
+set(DCMICONVPATH "${DCMTK_ICONV_DATAFILES}")
 
 if(CMAKE_CROSSCOMPILING)
   if(WIN32)
@@ -130,8 +132,8 @@
     get_filename_component(DCMDICTPATH "${DCMDICTPATH}" NAME)
     set(DCMDICTPATH "${ANDROID_TEMPORARY_FILES_LOCATION}/${DCMDICTPATH}")
     foreach(DICTIONARY ${DICTIONARIES})
-        get_filename_component(FILE "${DICTIONARY}" NAME)
-        set(DCMDICTPATH "${DCMDICTPATH}:${ANDROID_TEMPORARY_FILES_LOCATION}/${FILE}")
+      get_filename_component(FILE "${DICTIONARY}" NAME)
+      set(DCMDICTPATH "${DCMDICTPATH}:${ANDROID_TEMPORARY_FILES_LOCATION}/${FILE}")
     endforeach()
     configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomAndroid.cmake.in"
       "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
@@ -154,59 +156,59 @@
 #-----------------------------------------------------------------------------
 
 if(DCMTK_WITH_ICONV)
-    # libiconv does not provide a .pc file
-    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${Iconv_LIBRARY} ${LIBCHARSET_LIBRARY}")
+  # libiconv does not provide a .pc file
+  set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${Iconv_LIBRARY} ${LIBCHARSET_LIBRARY}")
 endif()
 
 if(DCMTK_WITH_ICU)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} icu-uc")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} icu-uc")
 endif()
 
 if(DCMTK_WITH_LIBXML)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libxml-2.0")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libxml-2.0")
 endif()
 
 if(DCMTK_WITH_LIBPNG)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libpng")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libpng")
 endif()
 
 if(DCMTK_WITH_OPENJPEG)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libopenjp2")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libopenjp2")
 endif()
 
 if(DCMTK_WITH_OPENSSL)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libssl libcrypto")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libssl libcrypto")
 endif()
 
 if(DCMTK_WITH_SNDFILE)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} sndfile")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} sndfile")
 endif()
 
 if(DCMTK_WITH_TIFF)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libtiff-4")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} libtiff-4")
 endif()
 
 if(DCMTK_WITH_WRAP)
-    # libwrap does not provide a .pc file
-    set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${WRAP_LIBRARY}")
+  # libwrap does not provide a .pc file
+  set(PKGCONF_LIBS_PRIV "${PKGCONF_LIBS_PRIV} ${WRAP_LIBRARY}")
 endif()
 
 if(DCMTK_WITH_ZLIB)
-    set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} zlib")
+  set(PKGCONF_REQ_PRIV "${PKGCONF_REQ_PRIV} zlib")
 endif()
 
 get_property(DCMTK_LIBRARY_TARGETS GLOBAL PROPERTY DCMTK_LIBRARY_TARGETS)
 
 foreach(T ${DCMTK_LIBRARY_TARGETS})
-    set(PKGCONF_LIBS "${PKGCONF_LIBS} -l${T}")
+  set(PKGCONF_LIBS "${PKGCONF_LIBS} -l${T}")
 endforeach()
 
 configure_file(
-    ${DCMTK_SOURCE_DIR}/CMake/dcmtk.pc.in
-    ${DCMTK_BINARY_DIR}/dcmtk.pc
-    @ONLY
+  ${DCMTK_SOURCE_DIR}/CMake/dcmtk.pc.in
+  ${DCMTK_BINARY_DIR}/dcmtk.pc
+  @ONLY
 )
 
 install(FILES "${DCMTK_BINARY_DIR}/dcmtk.pc"
-    DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig
-)
+  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig
+)

## dcmtk 3.6.8

=== dcmtls/CMakeLists.txt ===
# declare project
project(dcmtls)

# declare include directories which hold for all subdirectories
include_directories("${dcmtls_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${dcmnet_SOURCE_DIR}/include" ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
foreach(SUBDIR libsrc include docs tests)
  add_subdirectory(${SUBDIR})
endforeach()

=== dcmdata/data/CMakeLists.txt ===
# declare installation files
install(FILES dicom.dic acrnema.dic private.dic diconde.dic dcm2xml.dtd dumppat.txt SC.dump VLP.dump DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}" COMPONENT data)

# add paths to the dictionaries to a CMake variable for being used by the unit tests
set(DCMTK_DICOM_DICTIONARIES
  "${CMAKE_CURRENT_SOURCE_DIR}/dicom.dic"
  "${CMAKE_CURRENT_SOURCE_DIR}/private.dic"
  CACHE INTERNAL "paths to the DICOM data dictionaries"
)

=== dcmdata/libsrc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # create library from source files
 
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}")
-include_directories(${LIBXML_INCDIR})
 
 DCMTK_ADD_LIBRARY(dcmdata
   cmdlnarg.cc
@@ -95,11 +94,10 @@
   dcxfer.cc
   vrscan.cc
   vrscanl.c
-  xml2dcm.cc
 )
 
 DCMTK_TARGET_LINK_MODULES(dcmdata ofstd oflog)
-DCMTK_TARGET_LINK_LIBRARIES(dcmdata ${ZLIB_LIBS} ${LIBXML_LIBS})
+DCMTK_TARGET_LINK_LIBRARIES(dcmdata ${ZLIB_LIBS})
 
 # Various dictionary-related commands
 set(DICOMDIC   "${dcmdata_SOURCE_DIR}/data/dicom.dic")

=== dcmfg/tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
   t_ct_position.cc
   t_ct_table_dynamics.cc
   t_deriv_image.cc
+  t_fg_base.cc
   t_frame_content.cc
   t_irradiation_event_identification.cc
 )

=== dcmimgle/data/CMakeLists.txt ===
# declare installation files
install(FILES camera.lut monitor.lut printer.lut scanner.lut DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}" COMPONENT data)

=== dcmimgle/include/CMakeLists.txt ===
# declare installation files
install(DIRECTORY dcmtk/dcmimgle DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/dcmtk" COMPONENT include FILES_MATCHING PATTERN "*.h")

=== dcmiod/tests/CMakeLists.txt ===
# declare executables
DCMTK_ADD_EXECUTABLE(dcmiod_tests
  tests.cc
  tcielabutil.cc
  tcodes.cc
  timagepixel.cc
)

# make sure executables are linked to the corresponding libraries
DCMTK_TARGET_LINK_MODULES(dcmiod_tests dcmiod dcmdata oflog ofstd)

# This macro parses tests.cc and registers all tests
DCMTK_ADD_TESTS(dcmiod)

=== dcmjpeg/apps/CMakeLists.txt ===
# declare additional include directories
include_directories("${dcmjpeg_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${dcmimgle_SOURCE_DIR}/include" "${dcmimage_SOURCE_DIR}/include" ${ZLIB_INCDIR} ${LIBTIFF_INCDIR} ${LIBPNG_INCDIR})

# declare executables
foreach(PROGRAM dcmcjpeg dcmdjpeg dcmj2pnm dcmmkdir)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcmcjpeg dcmdjpeg dcmj2pnm dcmmkdir)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmjpeg ijg8 ijg12 ijg16 dcmimage dcmimgle dcmdata oflog ofstd)
endforeach()

=== dcmjpeg/libijg12/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(ijg12
  jaricom.c
  jcapimin.c
  jcapistd.c
  jcarith.c
  jccoefct.c
  jccolor.c
  jcdctmgr.c
  jcdiffct.c
  jchuff.c
  jcinit.c
  jclhuff.c
  jclossls.c
  jclossy.c
  jcmainct.c
  jcmarker.c
  jcmaster.c
  jcodec.c
  jcomapi.c
  jcparam.c
  jcphuff.c
  jcpred.c
  jcprepct.c
  jcsample.c
  jcscale.c
  jcshuff.c
  jctrans.c
  jdapimin.c
  jdapistd.c
  jdarith.c
  jdatadst.c
  jdatasrc.c
  jdcoefct.c
  jdcolor.c
  jddctmgr.c
  jddiffct.c
  jdhuff.c
  jdinput.c
  jdlhuff.c
  jdlossls.c
  jdlossy.c
  jdmainct.c
  jdmarker.c
  jdmaster.c
  jdmerge.c
  jdphuff.c
  jdpostct.c
  jdpred.c
  jdsample.c
  jdscale.c
  jdshuff.c
  jdtrans.c
  jerror.c
  jfdctflt.c
  jfdctfst.c
  jfdctint.c
  jidctflt.c
  jidctfst.c
  jidctint.c
  jidctred.c
  jmemmgr.c
  jmemnobs.c
  jquant1.c
  jquant2.c
  jutils.c
)

=== dcmjpeg/libsrc/CMakeLists.txt ===
# declare additional include directories
include_directories("${dcmjpeg_SOURCE_DIR}/include" "${ofstd_SOURCE_DIR}/include" "${oflog_SOURCE_DIR}/include" "${dcmdata_SOURCE_DIR}/include" "${dcmimgle_SOURCE_DIR}/include" "${dcmimage_SOURCE_DIR}/include" "${dcmjpeg_SOURCE_DIR}/libijg8" "${dcmjpeg_SOURCE_DIR}/libijg12" "${dcmjpeg_SOURCE_DIR}/libijg16" ${ZLIB_INCDIR})

# create library from source files
DCMTK_ADD_LIBRARY(dcmjpeg
  ddpiimpl.cc
  dipijpeg.cc
  djcodecd.cc
  djcodece.cc
  djcparam.cc
  djdecbas.cc
  djdecext.cc
  djdeclol.cc
  djdecode.cc
  djdecpro.cc
  djdecsps.cc
  djdecsv1.cc
  djdijg12.cc
  djdijg8.cc
  djdijg16.cc
  djeijg12.cc
  djeijg8.cc
  djeijg16.cc
  djencbas.cc
  djencext.cc
  djenclol.cc
  djencode.cc
  djencpro.cc
  djencsps.cc
  djencsv1.cc
  djrplol.cc
  djrploss.cc
  djutils.cc
)

DCMTK_TARGET_LINK_MODULES(dcmjpeg ofstd oflog dcmdata dcmimgle dcmimage ijg8 ijg12 ijg16)

=== dcmnet/apps/CMakeLists.txt ===
# declare additional include directories needed for compression support
include_directories("${dcmjpls_SOURCE_DIR}/include" "${dcmjpeg_SOURCE_DIR}/include" "${dcmimage_SOURCE_DIR}/include" "${dcmimgle_SOURCE_DIR}/include")

# declare executables
foreach(PROGRAM dcmrecv dcmsend echoscu findscu getscu movescu storescp storescu termscu)
  DCMTK_ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.cc)
endforeach()

# declare installation files
if(WITH_OPENSSL)
  if(WIN32)
    install(DIRECTORY "${OPENSSL_BINDIR}/"
        DESTINATION "${CMAKE_INSTALL_BINDIR}"
        COMPONENT bin
        CONFIGURATIONS Release MinSizeRel
        FILES_MATCHING REGEX "dcmtk(eay|crypto|ssl).*\\.dll"
        REGEX "dcmtk(eay|crypto|ssl)_d.*\\.dll" EXCLUDE
    )
    install(DIRECTORY "${OPENSSL_BINDIR}/"
        DESTINATION "${CMAKE_INSTALL_BINDIR}"
        COMPONENT bin
        CONFIGURATIONS Debug RelWithDebInfo
        FILES_MATCHING REGEX "dcmtk(eay|crypto|ssl)_d.*\\.dll"
    )
  endif()
endif()

# make sure executables are linked to the corresponding libraries
foreach(PROGRAM dcmrecv dcmsend echoscu findscu getscu movescu storescp storescu termscu)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmnet dcmdata oflog ofstd)
endforeach()
foreach(PROGRAM dcmrecv echoscu findscu storescp storescu)
  DCMTK_TARGET_LINK_MODULES(${PROGRAM} dcmtls)
endforeach()

# uncomment the following line if "storescu" is compiled with ON_THE_FLY_COMPRESSION defined
#DCMTK_TARGET_LINK_MODULES(storescu dcmjpls dcmjpeg dcmimage)

# "dcmsend" always needs compression support
DCMTK_TARGET_LINK_MODULES(dcmsend dcmjpls dcmjpeg dcmimage)

=== dcmpstat/data/CMakeLists.txt ===
# declare installation files
install(FILES philips.lut DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}" COMPONENT data)

=== debian/changelog ===
dcmtk (3.6.8-7) unstable; urgency=medium

  * Team upload.
  * 0001-Fixed-unchecked-typecasts-of-DcmItem-search-results.patch.
    Patch refreshed.
  * 0004-Fixed-two-segmentation-faults.patch: unfuzz.
  * 0007-CVE-2024-47796.patch: new.
    This patch addresses CVE-2024-47796. (Closes: #1093043)
  * 0008-CVE-2024-52333.patch: new.
    This patch addresses CVE-2024-52333. (Closes: #1093047)

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Jan 2025 16:30:29 +0100

dcmtk (3.6.8-6) unstable; urgency=medium

  * d/t/run-unit-test: Fix unit-test for new release. Closes: #1075917
  * d/patches: Fixed possible overflows when allocating memory. Closes: #1074483

 -- Mathieu Malaterre <malat@debian.org>  Mon, 08 Jul 2024 13:31:04 +0200

dcmtk (3.6.8-5) unstable; urgency=medium

  * Upload 3.6.8 to unstable
  * d/control: Bump Std-Vers to 4.7.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2024 11:24:00 +0200

dcmtk (3.6.8-4) experimental; urgency=medium

  * d/rules: Add dcmtk-data package
  * d/control: Add missing dependency on libjs-jquery. Closes: #989108
  * d/control: Reduce number of dependencies for -dev package
  * New upstream version 3.6.8

 -- Mathieu Malaterre <malat@debian.org>  Mon, 24 Jun 2024 20:43:54 +0200

dcmtk (3.6.7-15) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Update two of the previously applied patches to avoid breaking the ABI.
    Closes: #1070207.

 -- Santiago Vila <sanvila@debian.org>  Mon, 24 Jun 2024 12:30:00 +0200

dcmtk (3.6.7-14) unstable; urgency=medium

  * Team upload.
  [ Emanuele Rocca ]
  * Do not drop graphviz from build-depends-indep for armhf and armel.
  [ Adrian Bunk ]
  * CVE-2024-28130: Segmentation faults due to incorrect typecast
    (Closes: #1070207)
  * CVE-2024-34508: Segmentation fault via invalid DIMSE message
  * CVE-2024-34509: Segmentation fault via invalid DIMSE message

 -- Santiago Vila <sanvila@debian.org>  Wed, 05 Jun 2024 14:30:00 +0200

dcmtk (3.6.7-13) unstable; urgency=medium

  * Team upload.
  * Marked Debian-specific patches as not needing forwarding to
    upstream.
  * d/control: add explicit dependency on libnsl-dev. Closes: #1066422.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 15:24:15 +0100

dcmtk (3.6.7-12) unstable; urgency=medium

  * Team upload.

  [ Emanuele Rocca ]
  * Do not build-depend on graphviz on armhf and armel. The package is
    currently not installable on those arches due to the ongoing t64
    transition. Closes: #1067147

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 12:30:03 +0100

dcmtk (3.6.7-11) unstable; urgency=medium

  * Fix typo in target distribution during upload.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Mar 2024 11:54:38 +0100

dcmtk (3.6.7-10) unreleased; urgency=medium

  * Fix build on armel.  Closes: #1060104

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Mar 2024 11:03:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: dcmtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Gert Wollny <gewo@debian.org>,
-           Mathieu Malaterre <malat@debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Gert Wollny <gewo@debian.org>, Mathieu Malaterre <malat@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                gettext,
                help2man,
+               libnsl-dev,
                libpng-dev,
                libsndfile1-dev,
                libssl-dev,
                libtiff-dev,
                libwrap0-dev,
                libxml2-dev,
+               xxd,
                zlib1g-dev
-Build-Depends-Indep: doxygen,
-                     graphviz
-Standards-Version: 4.6.2
+Build-Depends-Indep: doxygen, graphviz
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/dcmtk
 Vcs-Git: https://salsa.debian.org/med-team/dcmtk.git
 Homepage: https://dicom.offis.de/dcmtk
@@ -26,9 +26,7 @@
 
 Package: dcmtk
 Architecture: any
-Depends: adduser,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
 Description: OFFIS DICOM toolkit command line utilities
  DCMTK includes a collection of libraries and applications for examining,
  constructing and converting DICOM image files, handling offline media,
@@ -39,14 +37,24 @@
  .
  Note: This version was compiled with libssl support.
 
-Package: libdcmtk17t64
-Provides: ${t64:Provides}
+Package: dcmtk-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: OFFIS DICOM toolkit data files
+ DCMTK includes a collection of libraries and applications for examining,
+ constructing and converting DICOM image files, handling offline media,
+ sending and receiving images over a network connection, as well as
+ demonstrative image storage and worklist servers.
+ .
+ This package contains the DCMTK data files.
+
+Package: libdcmtk18
 Architecture: any
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libdcmtk17 (<< ${source:Version}), libdcmtk16 (= 3.6.7-1)
-Replaces: libdcmtk17, libdcmtk16 (= 3.6.7-1)
+Depends: dcmtk-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdcmtk16 (= 3.6.7-1)
+Replaces: libdcmtk16 (= 3.6.7-1)
 Multi-Arch: same
 Description: OFFIS DICOM toolkit runtime libraries
  DCMTK includes a collection of libraries and applications for examining,
@@ -62,15 +70,14 @@
 Package: libdcmtk-dev
 Architecture: any
 Section: libdevel
-Depends: libdcmtk17t64 (= ${binary:Version}),
-         libpng-dev,
-         libssl-dev,
-         libtiff-dev,
+Depends: libdcmtk18 (= ${binary:Version}),
+         libnsl-dev,
          libwrap0-dev,
          libxml2-dev,
+         libz-dev,
          ${misc:Depends}
 Suggests: dcmtk-doc
-Provides: libdcmtk17-dev
+Provides: libdcmtk18-dev
 Description: OFFIS DICOM toolkit development libraries and headers
  DCMTK includes a collection of libraries and applications for examining,
  constructing and converting DICOM image files, handling offline media,
@@ -86,9 +93,8 @@
 Package: dcmtk-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
-Suggests: dcmtk,
-          libdcmtk-dev
+Depends: libjs-jquery, ${misc:Depends}
+Suggests: dcmtk, libdcmtk-dev
 Multi-Arch: foreign
 Description: OFFIS DICOM toolkit documentation
  DCMTK includes a collection of libraries and applications for examining,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
ifeq ($(DEB_TARGET_ARCH),armel)
  # https://lists.debian.org/debian-arm/2024/01/msg00031.html
  # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1060104
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-stackclash optimize=+lto
else
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
endif

# needed for the tests
export DCMDICTPATH=$(CURDIR)/dcmdata/data/dicom.dic

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
endif

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1001703
DEB_CXXFLAGS_MAINT_APPEND += -DENABLE_DCMJPLS_INTERLEAVE_NONE
export DEB_CXXFLAGS_MAINT_APPEND

# when BUILDDOC==OFF, convenient copies of doxygen man pages are used
# when BUILDDOC==ON, doxygen man pages are being regenerated, this may leads to
# improper md5sum...

%:
	dh $@ --buildsystem=cmake

CMAKE_EXTRA_FLAGS += \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DCMAKE_BUILD_TYPE:STRING=None \
 -DCMAKE_CXX_EXTENSIONS:BOOL=OFF \
 -DCMAKE_CXX_STANDARD:STRING=17 \
 -DCMAKE_INSTALL_DATADIC:STRING=share/libdcmtk18 \
 -DCMAKE_SKIP_RPATH:BOOL=ON \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DDCMTK_ENABLE_PRIVATE_TAGS:BOOL=ON \
 -DDCMTK_ENABLE_STL:BOOL=ON \
 -DDCMTK_WITH_DOXYGEN:BOOL=$(BUILDDOC) \
 -DDCMTK_WITH_ICONV:BOOL=OFF \
 -DDCMTK_WITH_ICU:BOOL=OFF \
 -DDCMTK_WITH_OPENSSL:BOOL=ON \
 -DDCMTK_WITH_STDLIBC_ICONV:BOOL=OFF \
 -DDCMTK_WITH_TIFF:BOOL=ON \
 -DDCMTK_WITH_XML:BOOL=ON \
 -DDCMTK_WITH_ZLIB:BOOL=ON \
 -DUSE_COMPILER_HIDDEN_VISIBILITY:BOOL=ON \

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  CMAKE_EXTRA_FLAGS += -DBUILD_TESTING:BOOL=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-arch:
	# need man page in -arch packages:
	#$(MAKE) -C obj-* man
	dh_auto_build
	sed -i 's% -ffile-prefix-map=[^ ]* % %' obj-*/CMakeFiles/DCMTKConfig.cmake

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* DOXYGEN

override_dh_auto_test-arch:
	LD_LIBRARY_PATH=$(wildcard $(CURDIR)/obj-*/lib):$(LD_LIBRARY_PATH) dh_auto_test

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_auto_install-arch:
	dh_auto_install

override_dh_auto_install-indep:
	# DESTDIR=$(CURDIR)/debian/tmp cmake --install obj-* --component data
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/doxygen install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/dcmwlm/data install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/dcmdata/data install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/oficonv/data install


override_dh_installdocs:
	dh_installdocs
	# do the doxygen / jquery fix:
	dh_link -pdcmtk-doc usr/share/javascript/jquery/jquery.js usr/share/doc/dcmtk-doc/html/jquery.js

override_dh_install-arch:
	dh_install # --list-missing
	#remove test binaries
	rm ./debian/dcmtk/usr/bin/*_tests
	rm ./debian/dcmtk/usr/bin/drttest
	rm ./debian/dcmtk/usr/bin/mkreport
	rm ./debian/dcmtk/usr/bin/msgserv
	rm ./debian/dcmtk/usr/bin/wltest


.PHONY: get-orig-source

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=3.6.8~git%cd.%h" \
https://github.com/DCMTK/dcmtk \
HEAD debian uupdate
